Bug 237893 - Busy inodes after unmount oops with nfs4
Busy inodes after unmount oops with nfs4
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 17:47 EDT by Don Howard
Modified: 2008-05-22 14:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 14:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Howard 2007-04-25 17:47:48 EDT
Description of problem:

<Mar/29 02:38 pm>VFS: Busy inodes after unmount of 0:17. Self-destruct in 5
seconds.  Have a nice day...
<Mar/29 02:38 pm>Unable to handle kernel NULL pointer dereference at
0000000000000010 RIP: 


Version-Release
2.6.18-8.1.3.el5

How reproducible:
No reliable reproducer.  The error has shown up once while running the RHTS
connectathon tests.
Comment 2 Jeff Layton 2007-04-26 17:25:45 EDT
Hmm with no reliable reproducer, this might be tough to track down. I'll have a
look over the oops and see what we might be able to determine from it (but I
fear that the answer there is "not much").
Comment 3 Pawel Salek 2007-09-07 07:17:47 EDT
Yes, it's a tough one to reproduce. Factors that tend to correlate with it are
nfs4, autofs (use short timeout to remount the file system often) and, I get
impression, several user accessing the same filesystem (like in: first one user
triggers the mount, next, another one). I have seen "Busy inodes" with
2.6.18-8.1.8 too, although it has clearly become more difficult to trigger.
Comment 4 Steve Dickson 2008-05-22 14:26:50 EDT
Its been quite a while since this has been seen,
so I'm going to close this as INSUFFICIENT_DATA.

If this oops happens again, please reopen...

Note You need to log in before you can comment on or make changes to this bug.